<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/activity_save"
    android:layout_width="match_parent"
    android:background="@drawable/all_of_main_bg"
    android:layout_height="match_parent">

    <RelativeLayout
        android:id="@+id/title_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="34dp"
        android:orientation="horizontal"
        app:layout_constraintTop_toTopOf="parent">

        <com.design.mischiefgo.ut.DefaultTextView
            android:id="@+id/name"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:text="@string/save_sound"
            android:textStyle="bold"
            android:textSize="22sp"
            android:textColor="@color/main_title_text"
            />


        <ImageView
            android:id="@+id/back"
            android:layout_width="45dp"
            android:layout_height="45dp"
            android:layout_centerVertical="true"
            android:padding="12dp"
            android:layout_marginStart="10dp"
            app:tint="@color/main_title_text"
            android:src="@drawable/close_finishs" />
    </RelativeLayout>


    <ImageView
        android:id="@+id/audio_im"
        android:layout_width="200dp"
        android:layout_height="200dp"
        android:layout_marginTop="30dp"
        android:src="@drawable/music_default_copy"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/title_layout">

    </ImageView>
    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/audio_im"
        app:layout_constraintBottom_toBottomOf="parent"
        android:layout_marginTop="20dp"
        android:gravity="center_horizontal"
        android:background="@color/white"
        android:orientation="vertical">
        <LinearLayout
            android:id="@+id/audio_time_layout"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:layout_marginTop="50dp"
            android:orientation="vertical">
            <ImageView
                android:id="@+id/btn_play"
                android:layout_width="48dp"
                android:layout_height="48dp"
                app:tint="@color/temp_button"
                android:src="@drawable/start_play_121" />
            <com.design.mischiefgo.ut.DefaultTextView
                android:id="@+id/audio_time"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/main_title_text"
                android:textSize="22sp"
                android:layout_marginTop="10dp"
                android:text="00:00:00"
                />
        </LinearLayout>


        <EditText
            android:id="@+id/save_edit"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="33dp"
            android:background="@drawable/stroke_brown_sel_choose"
            android:hint="@string/save_audio_name_hint"
            android:maxLength="18"
            android:padding="11dp"
            android:textColorHint="#808080"
            android:elevation="6dp"
            android:textAlignment="textStart"
            android:textColor="@color/main_title_text"
            app:layout_constraintTop_toBottomOf="@id/audio_time_layout" />
        <TextView
            android:id="@+id/save"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:background="@drawable/save_btn_decoration"
            android:textAlignment="center"
            android:layout_marginHorizontal="50dp"
            android:paddingVertical="8dp"
            android:paddingHorizontal="8dp"
            android:text="@string/save"
            android:textColor="@color/simple_white"
            android:textSize="19sp" />
    </LinearLayout>


</androidx.constraintlayout.widget.ConstraintLayout>